Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000150 [libFirm] optimisations major always 2014-12-30 09:13 2016-01-03 03:28
Reporter Matze View Status public  
Assigned To UniQ
Priority low Resolution fixed  
Status closed   Product Version development
Summary 0000150: missoptimized floatingpoint Add
Description ieee754 features negative zeros, that means (note that I do not use == in the following sentences as == ignored the difference between zero and minus zero):

x+0.0 is not the same as x in floatingpoint, because -0 + 0.0 results in 0.0.

x+(-0.0) however is always the same as x and can be optimized to x.

There is a testcase in firm-testsuite/opt/minus_zero.c now.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000226)
UniQ (developer)
2015-05-08 13:47

Fixed in libfirm 59530b3544e291d3e7ac38cd8d3d8b8b75a3ea39.

- Issue History
Date Modified Username Field Change
2014-12-30 09:13 Matze New Issue
2014-12-30 09:13 Matze Status new => confirmed
2015-05-08 13:46 UniQ Status confirmed => assigned
2015-05-08 13:46 UniQ Assigned To => UniQ
2015-05-08 13:47 UniQ Note Added: 0000226
2015-05-08 13:47 UniQ Status assigned => resolved
2015-05-08 13:47 UniQ Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker